Bug 138779 - FILESAVE: RTF: Incorrect font properties
Summary: FILESAVE: RTF: Incorrect font properties
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-12-09 14:47 UTC by Xisco Faulí
Modified: 2021-01-04 11:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison before and after (322.38 KB, image/png)
2020-12-09 14:47 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-12-09 14:47:17 UTC
Created attachment 168006 [details]
Comparison before  and after

Steps to reproduce:
1. Open attachment 63518 [details] from bug 44784
2. Save it RTF
3. Reload

-> Font properties of characters in the list is incorrect. See before and after comparison

Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: 84af20ef3ea72190784e9e7be820684c2558ba8c
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2020-12-09 14:48:19 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=f97af19460fbd7483a0e1c1d0137e814f5390e69

author	Mark Hung <marklh9@gmail.com>	2020-11-22 19:32:32 +0800
committer	Miklos Vajna <vmiklos@collabora.com>	2020-11-25 09:20:27 +0100
commit	f97af19460fbd7483a0e1c1d0137e814f5390e69 (patch)
tree	91f385b115c57e564bf40b409fc139016ff26159
parent	2c9f4c6a5e1a9ce5ef501c8f5a7f5cd421bf86f7 (diff)
tdf#137894 separate associated character properties

Bisected with: bibisect-linux64-7.2

Adding Cc: to Mark Hung
Comment 2 Commit Notification 2020-12-29 12:56:07 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/326388da4e40c85f8a1af40264aaf56c7845e224

tdf#138779 do not call EndRun() in StartRuby()

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2021-01-04 11:24:58 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: 2c9708cbb870483a8a1c93d722085be5f789d234
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Mark Hung, thanks for fixing this issue!!

Closing as VERIFIED FIXED
Comment 4 Commit Notification 2021-01-04 11:26:38 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/30ad09049bf76956a696c2b61f5b9922bb744a08

tdf#138779 do not call EndRun() in StartRuby()

It will be available in 7.1.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.